curl --request POST \
--url https://messenger-public-api.cogfy.com/contacts \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "5511999998888",
"occupation": "Developer",
"notes": "Met at the conference",
"tags": [
{
"name": "customers"
}
],
"customProperties": {
"plan": "premium"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Contacts
Create a contact
Creates a contact in the workspace.
Tags are linked by id or name and must already exist in the workspace — unknown tags are ignored. Use PATCH /contacts/{contactId}/tags to create tags on demand.
customProperties are keyed by property name and only properties already defined in the workspace are persisted.
POST
/
contacts
curl --request POST \
--url https://messenger-public-api.cogfy.com/contacts \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "5511999998888",
"occupation": "Developer",
"notes": "Met at the conference",
"tags": [
{
"name": "customers"
}
],
"customProperties": {
"plan": "premium"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Body
application/json
Tags to link to the contact. Only existing tags are linked
Show child attributes
Show child attributes
Values for the custom contact properties of the workspace, keyed by property name
Show child attributes
Show child attributes
Response
Contact created successfully
Id of the created contact
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$